Bug 102633 - No DRI 3D acceleration with NForce and Radeon
No DRI 3D acceleration with NForce and Radeon
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 02:23 EDT by Pablo Mejia
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-04 09:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Mejia 2003-08-19 02:23:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I am unable to get DRI working with an NForce2 motherboard (Asus A7N8X Deluxe)
and an ATI Radeon 9100.  The kernel does not provide AGP GART support for the
NForce2.  NVidia has released patches for this:

http://www.nvidia.com/object/linux_nforce_1.0-0261.html

However, those patches don't apply cleanly to the RedHat kernel.  However, they
do apply to the kernel.org kernels.  It appears that the AGP part is included in
2.4.22-rc2 at least.

Unfortunately, I am not able to just use the kernel.org kernel.  Evidently the
kernel.org kernel does not have a recent enough version of the radeon driver as
XFree86 complains about a version mismatch.

[dri] radeon.o kernel module version is 1.1.1 but version 1.5.0 or newer is needed.

The version that ships with the RedHat kernel is up to 1.7 so it would work...
if it had AGP GART support.  So in summary:

- RedHat kernel has no NForce2 AGP GART support, but has good radeon driver
version 1.7
- kernel.org kernel (2.4.22-rc2) has NForce2 AGP GART support but has wrong
radeon driver version (1.1.1)

Is there any hope for an updated RedHat kernel with NForce2 AGP GART support in
the near future?

Version-Release number of selected component (if applicable):
kernel-2.4.20-19.9
Comment 1 Dave Jones 2003-08-19 09:08:35 EDT
Already merged and fixed in the next severn kernel to show up in rawhide.
It's unlikely to show up in an update for shrike any time soon.

Note You need to log in before you can comment on or make changes to this bug.